Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 3937)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 3938)
@@ -194,10 +194,10 @@
 		typesList.clear();
 		Log.fine("Corpus KRs: " + krs); //$NON-NLS-1$
 		
-		KnowledgeRepository kr = KnowledgeRepositoryManager.getKnowledgeRepository(corpus.getMainCorpus().getName());
+		KnowledgeRepository kr = KnowledgeRepositoryManager.getKnowledgeRepository(corpus.getMainCorpus().getID());
 		if (kr == null) {
 			HashMap<String, HashMap<String, ?>> conf = new HashMap<>();
-			kr = KnowledgeRepositoryManager.createKnowledgeRepository(corpus.getMainCorpus().getName(), conf);
+			kr = KnowledgeRepositoryManager.createKnowledgeRepository(corpus.getMainCorpus().getID(), conf);
 		}
 		
 		currentKnowledgeRepository = kr;
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/KRAnnotation.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/KRAnnotation.java	(revision 3937)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/KRAnnotation.java	(revision 3938)
@@ -158,7 +158,6 @@
 		TableViewer viewer = this.editor.getLineTableViewer();
 		
 		// RESULT
-		
 		if (position < 0) {
 			position = 3 + extension.getNumberOfAnnotationArea(); // after keyword column and previous annotation columns
 		}
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java	(revision 3937)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java	(revision 3938)
@@ -488,7 +488,7 @@
 		typesList.clear();
 		Log.fine("Corpus KRs: " + krs); //$NON-NLS-1$
 		
-		currentKnowledgeRepository = KnowledgeRepositoryManager.getKnowledgeRepository(corpus.getMainCorpus().getName());
+		currentKnowledgeRepository = KnowledgeRepositoryManager.getKnowledgeRepository(corpus.getMainCorpus().getID());
 		if (currentKnowledgeRepository == null) {
 			HashMap<String, HashMap<String, ?>> conf = new HashMap<>();
 			HashMap<String, String> access = new HashMap<>();
@@ -500,9 +500,9 @@
 			
 			access.put("mode", DatabasePersistenceManager.ACCESS_FILE); //$NON-NLS-1$
 			access.put("version", "0"); //$NON-NLS-1$ //$NON-NLS-2$
-			currentKnowledgeRepository = KnowledgeRepositoryManager.createKnowledgeRepository(corpus.getMainCorpus().getName(), conf);
+			currentKnowledgeRepository = KnowledgeRepositoryManager.createKnowledgeRepository(corpus.getMainCorpus().getID(), conf);
 			KnowledgeRepositoryManager.registerKnowledgeRepository(currentKnowledgeRepository);
-			// KRAnnotationEngine.registerKnowledgeRepositoryName(corpus, corpus.getMainCorpus().getName());
+			// KRAnnotationEngine.registerKnowledgeRepositoryName(corpus, corpus.getMainCorpus().getID());
 		}
 		
 		List<WordProperty> wordProperties = corpus.getProperties();
@@ -712,8 +712,9 @@
 					
 					@Override
 					public String getColumnText(Object element, int columnIndex) {
-						if (element instanceof TypedValue)
+						if (element instanceof TypedValue) {
 							return ((TypedValue) element).getId();
+						}
 						return element.toString();
 					}
 				});
@@ -888,8 +889,7 @@
 		
 		LocalKnowledgeRepository kr = (LocalKnowledgeRepository) currentKnowledgeRepository;
 		if (typeName == null) typeName = ""; //$NON-NLS-1$
-		InputDialog dialog = new InputDialog(e.widget.getDisplay().getActiveShell(), Messages.nouvelleProprit, Messages.nomDeLaPropritPatternEqualsazaz09Plus, typeName,
-				null);
+		InputDialog dialog = new InputDialog(e.widget.getDisplay().getActiveShell(), Messages.nouvelleProprit, Messages.nomDeLaPropritPatternEqualsazaz09Plus, typeName, null);
 		if (dialog.open() == InputDialog.OK) {
 			String name = dialog.getValue();
 			if (name.trim().length() == 0) return;
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotationsAndUpdateCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotationsAndUpdateCorpus.java	(revision 3937)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotationsAndUpdateCorpus.java	(revision 3938)
@@ -114,7 +114,7 @@
 				return null;
 			}
 			
-			Log.info(NLS.bind(Messages.SaveP0Annotations, fcorpus.getName()));
+			Log.info(NLS.bind(Messages.SaveP0Annotations, fcorpus.getID()));
 			JobHandler job = SaveAnnotations.save(fcorpus);
 			if (job == null) {
 				return null;
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/WordAnnotationToolbar.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/WordAnnotationToolbar.java	(revision 3937)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/WordAnnotationToolbar.java	(revision 3938)
@@ -410,7 +410,7 @@
 		typesList.clear();
 		Log.fine("Corpus KRs: " + krs); //$NON-NLS-1$
 		
-		currentKnowledgeRepository = KnowledgeRepositoryManager.getKnowledgeRepository(corpus.getMainCorpus().getName());
+		currentKnowledgeRepository = KnowledgeRepositoryManager.getKnowledgeRepository(corpus.getMainCorpus().getID());
 		if (currentKnowledgeRepository == null) {
 			HashMap<String, HashMap<String, ?>> conf = new HashMap<>();
 			HashMap<String, String> access = new HashMap<>();
@@ -422,9 +422,9 @@
 			
 			access.put("mode", DatabasePersistenceManager.ACCESS_FILE); //$NON-NLS-1$
 			access.put("version", "0"); //$NON-NLS-1$ //$NON-NLS-2$
-			currentKnowledgeRepository = KnowledgeRepositoryManager.createKnowledgeRepository(corpus.getMainCorpus().getName(), conf);
+			currentKnowledgeRepository = KnowledgeRepositoryManager.createKnowledgeRepository(corpus.getMainCorpus().getID(), conf);
 			KnowledgeRepositoryManager.registerKnowledgeRepository(currentKnowledgeRepository);
-			// KRAnnotationEngine.registerKnowledgeRepositoryName(corpus, corpus.getMainCorpus().getName());
+			// KRAnnotationEngine.registerKnowledgeRepositoryName(corpus, corpus.getMainCorpus().getID());
 		}
 		
 		List<WordProperty> wordProperties = corpus.getProperties();
